Initiate User KYC

This API initiates user kyc process in accordance with its current kyc status

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Header Parameters

For Header Reference Click here

Request Parameters

NameTypeMandatory (M) , Optional (O) Conditional (C)Description
authTokenStringCauthToken is available on verify user registration API response
When actcode PCSCU2 , this field is mandatory
genderStringCMale / Female/ Other
When actcode PCSCU2 , this field is mandatory
dobStringCDate of Birth (Format - YYYY-MM-DD)
When actcode PCSCU2 , this field is mandatory
mobileStringMCustomer mobile number
aadhaarStringMCustomer Aadhaar Number
annualIncomeStringMIt will be from (0-1L,1L-5L,5L-10L,10L-25L,25L-50L,50L-1C).
purposeStringMIt will be from (GENERAL,INCENTIVE,GIFT).
educationQualificationStringMUPTO 10,UNDER GRADUATE,GRADUATE,POST GRADUATE,PROFESSIONAL,NOT APPLICABLE
professionDetailsStringMIt will be from (SALARIED,SELF-EMPLOYED,RETIRED,HOME MAKER,STUDENT,NOT WORKING,AGRICULTURE,BUSINESS).
selfEmployedProfessionStringO (M when professionDetails is SELF-EMPLOYED)It will be from (ARCHITECT,COMPANY SECRETARY,DOCTOR,CHARTERED ACCOUNTANT,COST ACCOUNTANT,LAWYER)
natureOfBusinessStringO (M when professionDetails is BUSINESS)It will be from (MANIFACTURING,AGRICULTURE,SERVICE PROVIDER,TRADING,REAL ESTATE)
sourceOfFundStringMIt will be from (SALARY,WAGES,PENSION,INCOME FROM RENT,INCOME FROM AGRICULTURE,ROYALTY,INCOME FROM BUSINESS,INCOME FROM INVESTMENT,FAMILY INCOME,FEES,COMMISSION,GIFT,PRIZE MONEY)

Sample Request

curl --location --request POST 'https://api.instantpay.in/cards/prepaid/initiateUserKyc' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "authToken": "Aghc0-jdua8-jiw8dn",
    "gender": "Male",
    "dob": "1999-01-01",
    "mobile":"7428585742",
    "aadhaar" : "Aadhaar Number",
    "professionDetails": "SALARIED",
    "educationQualification": "GRADUATE",
    "annualIncome": "5L-10L",
    "sourceOfFund": "SALARY",
    "purpose": "GENERAL",
    "selfEmployedProfession": "",
    "natureOfBusiness": "SERVICE PROVIDER"

}'
POST /cards/prepaid/initiateUserKyc HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
    "authToken": "Aghc0-jdua8-jiw8dn",
    "gender": "Male",
    "dob": "1999-01-01",
    "mobile":"7428585742",
    "aadhaar" : "Aadhaar Number",
    "professionDetails": "SALARIED",
    "educationQualification": "GRADUATE",
    "annualIncome": "5L-10L",
    "sourceOfFund": "SALARY",
    "purpose": "GENERAL",
    "selfEmployedProfession": "",
    "natureOfBusiness": "SERVICE PROVIDER"

}'
📘

Response Parameters

For Response Reference Click here

Sample Response of min-kyc

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "PAN min-kyc done successfully",
    "data": null,
    "timestamp": "2022-01-12 15:03:08",
    "ipay_uuid": "**********-****-****-****-**********",
    "orderid": null,
    "environment": "LIVE",
    "internalCode": null

}
📘

Important Information

If you want to do Full KYC then first do checkUser. If the actCode is PCSCU3, PCSCU4,PCSCU6 then hit the below request.

Full KYC Sample Request

curl --location --request POST 'https://api.instantpay.in/cards/prepaid/initiateUserKyc' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "mobile":"7428585742",
    "aadhaar" : "Aadhaar Number",
    "professionDetails": "SALARIED",
    "educationQualification": "GRADUATE",
    "annualIncome": "5L-10L",
    "sourceOfFund": "SALARY",
    "purpose": "GENERAL",
    "selfEmployedProfession": "",
    "natureOfBusiness": "SERVICE PROVIDER"
}'
POST /cards/prepaid/initiateUserKyc HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
    "mobile":"7428585742",
    "aadhaar" : "Aadhaar Number",
    "professionDetails": "SALARIED",
    "educationQualification": "GRADUATE",
    "annualIncome": "5L-10L",
    "sourceOfFund": "SALARY",
    "purpose": "GENERAL",
    "selfEmployedProfession": "",
    "natureOfBusiness": "SERVICE PROVIDER"
}'
NameTypeMandatory (M) , Optional (O) Conditional (C)Description
mobileStringMCustomer mobile number
aadhaarStringMCustomer Aadhaar Number
annualIncomeStringMIt will be from (0-1L,1L-5L,5L-10L,10L-25L,25L-50L,50L-1C).
professionDetailsStringMIt will be from (SALARIED,SELF-EMPLOYED,RETIRED,HOME MAKER,STUDENT,NOT WORKING,AGRICULTURE,BUSINESS).
educationQualificationStringMUPTO 10,UNDER GRADUATE,GRADUATE,POST GRADUATE,PROFESSIONAL,NOT APPLICABLE
sourceOfFundStringMIt will be from (SALARY,WAGES,PENSION,INCOME FROM RENT,INCOME FROM AGRICULTURE,ROYALTY,INCOME FROM BUSINESS,INCOME FROM INVESTMENT,FAMILY INCOME,FEES,COMMISSION,GIFT,PRIZE MONEY)
purposeStringMIt will be from (GENERAL,INCENTIVE,GIFT).
selfEmployedProfessionStringO (M when professionDetails is SELF-EMPLOYED)t will be from (ARCHITECT,COMPANY SECRETARY,DOCTOR,CHARTERED ACCOUNTANT,COST ACCOUNTANT,LAWYER)
natureOfBusinessStringO (M when professionDetails is BUSINESS)It will be from (MANIFACTURING,AGRICULTURE,SERVICE PROVIDER,TRADING,REAL ESTATE)
📘

Action Code Details

For Action Code details Click here

Body Params
string

authToken is available on verify user registration API response When actcode PCSCU2 , this field is mandatory

string

Male / Female/ Other When actcode PCSCU2 , this field is mandatory

string

Date of Birth (Format - YYYY-MM-DD) When actcode PCSCU2 , this field is mandatory

string

Customer mobile number

Headers
string
Defaults to 1

Auth-Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json